com.streambase.sb.operator.parameter

## Enum JavaTypePropertyDescriptor.TypeChoice

- java.lang.Object
- - java.lang.Enum<JavaTypePropertyDescriptor.TypeChoice>
  - - com.streambase.sb.operator.parameter.JavaTypePropertyDescriptor.TypeChoice

- All Implemented Interfaces:
    Serializable, Comparable<JavaTypePropertyDescriptor.TypeChoice>
  Enclosing class:
    JavaTypePropertyDescriptor

      public static enum JavaTypePropertyDescriptor.TypeChoice
      extends Enum<JavaTypePropertyDescriptor.TypeChoice>

  Studio will display a Java Type chooser dialog for the `JavaTypePropertyDescriptor.TypeChoice` provided to this property descriptor

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASSES`
    `INTERFACES`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static JavaTypePropertyDescriptor.TypeChoice` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JavaTypePropertyDescriptor.TypeChoice[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLASSES

          public static final JavaTypePropertyDescriptor.TypeChoice CLASSES

    - #### INTERFACES

          public static final JavaTypePropertyDescriptor.TypeChoice INTERFACES

  - ### Method Detail

    - #### values

          public static JavaTypePropertyDescriptor.TypeChoice[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JavaTypePropertyDescriptor.TypeChoice c : JavaTypePropertyDescriptor.TypeChoice.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JavaTypePropertyDescriptor.TypeChoice valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<JavaTypePropertyDescriptor.TypeChoice>`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.